;**************************************************************
;***    EMS522.ASM                                          ***
;***                                                        ***
;***    function        EMS_Ems.getAttrCapability40(        ***
;***                        var capability: Word)           ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    Gets EMM support status for handle volatility.      ***
;***      volatile (0) or non-volatile (1) attribute        ***
;***                                                        ***
;***    Returns 0 if no error or an error code.             ***
;***                                                        ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 4.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_Ems@getAttrCapability40

        .code

EMS_Ems@getAttrCapability40 proc attr:Far Ptr Word, self:DWord

        mov     ax,GetAttrCapability40  ; Make EMS call
        int     Ems           

        or      ah,ah                   ; Set flags
        jnz     error

        xor     ah,ah                   ; Zero extend attr to 16 bits
        les     bx,attr                 ; Return it
        mov     es:[bx],ax

        xor     ax,ax                   ; Return OK
        ret         

error:
        mov     al,ah                   ; AL gets error code
        xor     ah,ah                   ; Zero extend
        mov     errno,ax                ; Save in errno too
        ret

EMS_Ems@getAttrCapability40 endp        ; End of procedure

        end                             ; End of source file
